Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena
Class CreateOWLProjectFromFilePlugin

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.CreateOWLProjectFromFilePlugin

All Implemented Interfaces:
  edu.stanford.smi.protege.plugin.CreateProjectFromFilePlugin

    public class CreateOWLProjectFromFilePlugin

extends Object
implements edu.stanford.smi.protege.plugin.CreateProjectFromFilePlugin

Author:
  Holger Knublauch

Constructor Summary
`CreateOWLProjectFromFilePlugin()`

Method Summary
`edu.stanford.smi.protege.model.Project` | `createProject(File file, Collection errors)`
`protected URI` | `getBuildProjectURI(File file)`
`String` | `getDescription()`
`String[]` | `getSuffixes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateOWLProjectFromFilePlugin

    public CreateOWLProjectFromFilePlugin()

Method Detail

### createProject

    public edu.stanford.smi.protege.model.Project createProject(File file,
                                                                Collection errors)

  Specified by:
    `createProject` in interface `edu.stanford.smi.protege.plugin.CreateProjectFromFilePlugin`

### getSuffixes

    public String[] getSuffixes()

  Specified by:
    `getSuffixes` in interface `edu.stanford.smi.protege.plugin.CreateProjectFromFilePlugin`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `edu.stanford.smi.protege.plugin.CreateProjectFromFilePlugin`

### getBuildProjectURI

    protected URI getBuildProjectURI(File file)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.